Ticket #4436 (closed defect: fixed)

Opened 7 years ago

Last modified 7 years ago

アルバム機能をOFFにしても携帯版ホーム画面にアルバムへのリンクが表示される

Reported by: pnetan Assigned to: imamura623
Priority: minor Milestone: OpenPNE2.14.6
Component: 指定しない Version: 2.14.x
Keywords: Cc:

Description (Last modified by imamura623)

■現象

アルバム機能をOFFにしても携帯版ホーム画面にアルバムへのリンク表示されてしまう

■原因

マイホームのテンプレートのリンク表示条件の不備

■修正内容

マイホームのテンプレートにリンク表示の条件追加

■関連情報

http://sns.openpne.jp/communityTopic/5900 より転載

1. OpenPNE 2.14.5で確認。
2. さくらスタンダードで確認。
3. 詳細は以下。

アルバム機能をOFFにすると、
PCモードでは関係する表示およびリンクが消えますが、
携帯モードではアルバムの文字とリンクが残っています。

残っているページは、
マイページ(h_home.tpl)、
プロフィールページとフレンドページ(inc_f_home_h_prof.tpl)。

アルバムの文字のリンクをクリックしてアルバムページへ入ると、
「このページにはアクセスすることができません。」のメッセージが出て、
そのページのタイトルはエラーとなっています。

エラーと表示するよりも、
ページ上にアルバムやリンクの文字が出ないようにするべきかと思います。

Change History

05/06/10 11:26:23 changed by kiwpon

  • version changed from 2.12.x & 2.14.x to 2.14.x.
  • milestone set to OpenPNE2.14.6.

確認の上、対応しましょう。

05/07/10 16:46:00 changed by imamura623

  • owner changed from nobody to imamura623.
  • status changed from new to assigned.

現象確認しました。対応します。

05/07/10 18:05:39 changed by imamura623

  • keywords set to 確認中.

修正しました。

  • r13497でstable-2.14.xにコミット
  • r13498でtrunkにコミット

05/17/10 20:16:24 changed by imamura623

typoがあったので r13520 で修正しました。

05/18/10 19:20:00 changed by yamashita

  • status changed from assigned to closed.
  • resolution set to fixed.

テスト完了しました。 問題なしでした。

05/18/10 19:28:31 changed by yamashita

  • status changed from closed to reopened.
  • resolution deleted.

05/19/10 09:05:36 changed by urabe

  • keywords changed from 確認中 to 差し戻し.

$c_album_list の値の呼び出し元がないので、$c_album_list は常に空 (分岐としては意味のない処理で true) になります。3ファイルとも

({if !$c_album_list && $smarty.const.OPENPNE_USE_ALBUM})[i:68]<a href="({t_url m=ktai a=page_fh_album_list})&amp;({$tail})">アルバム</a><br& gt;({/if}) 

05/19/10 11:03:57 changed by imamura623

  • keywords changed from 差し戻し to 確認中.

修正しました。

  • r13526 でtrunkにコミット
  • r13525 でstable-2.14.xにコミット

05/19/10 11:13:36 changed by urabe

  • keywords changed from 確認中 to テスト待ち.

再テストをお願いします

05/19/10 13:16:32 changed by yamashita

再テスト行いました。 特に問題は見つかりませんでした。

05/19/10 13:19:30 changed by yamashita

  • status changed from reopened to closed.
  • resolution set to fixed.

閉じ忘れました。 チケット閉じます。

05/19/10 14:49:01 changed by yamashita

  • keywords deleted.

05/19/10 15:23:45 changed by imamura623

  • description changed.
  • summary changed from アルバム機能をOFFにしても項目が残る to アルバム機能をOFFにしても携帯版ホーム画面にアルバムへのリンクが表示される.